..
  autogenerated from source/_templates/autosummary/torio_io_class.rst

{#-
    ################################################################################
    # autosummary template for torio.io module
    # Since StreamingMediaDecoder/StreamingMediaEncoder have many methods/properties,
    # we want to list them up in the table of contents.
    # The default class template does not do this, so we use custom one here.
    ################################################################################
#}

{{ name | underline }}

.. autoclass:: {{ fullname }}

{%- if attributes %}

Properties
----------

{%- for item in attributes %}
{%- if not item.startswith('_') and item not in inherited_members %}

{{ item | underline("~") }}

.. container:: py attribute

   .. autoproperty:: {{[fullname, item] | join('.')}}

{%- endif %}
{%- endfor %}
{%- endif %}

{%- if members %}

Methods
-------

{%- for item in members %}
{%- if
   not item.startswith('_')
   and item not in inherited_members
   and item not in attributes
   %}

{{ item | underline("~") }}

.. container:: py attribute

   .. automethod:: {{[fullname, item] | join('.')}}

{%- endif %}
{%- endfor %}
{%- endif %}


{%- if name in ["StreamingMediaDecoder", "StreamingMediaEncoder"] %}

Support Structures
------------------

{%- if name == "StreamingMediaDecoder" %}
{%- for item in [
    "ChunkTensor",
    "SourceStream",
    "SourceAudioStream",
    "SourceVideoStream",
    "OutputStream",
    "OutputAudioStream",
    "OutputVideoStream",
] %}

{{ item | underline("~") }}

.. autoclass:: torio.io._streaming_media_decoder::{{item}}()
   :members:

{%- endfor %}

{%- elif name == "StreamingMediaEncoder" %}

CodecConfig
~~~~~~~~~~~

.. autoclass:: torio.io::CodecConfig
   :members:

{%- endif %}
{%- endif %}
